import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取全部数组
mock.onGet('./assets/json/data-dictionary.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, [
        {
        srfkey: "CLMetricType",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "COUNT",
                label: "COUNT",
                text: "COUNT",
                "class":"",
                "data":"",
                "codename":"Count",
                value: "COUNT",
                
                disabled: false,
            },
            {
                id: "COUNT_DISTINCT",
                label: "COUNT_DISTINCT",
                text: "COUNT_DISTINCT",
                "class":"",
                "data":"",
                "codename":"Count_distinct",
                value: "COUNT_DISTINCT",
                
                disabled: false,
            },
            {
                id: "SUM",
                label: "SUM",
                text: "SUM",
                "class":"",
                "data":"",
                "codename":"Sum",
                value: "SUM",
                
                disabled: false,
            },
            {
                id: "AVG",
                label: "AVG",
                text: "AVG",
                "class":"",
                "data":"",
                "codename":"Avg",
                value: "AVG",
                
                disabled: false,
            },
            {
                id: "MAX",
                label: "MAX",
                text: "MAX",
                "class":"",
                "data":"",
                "codename":"Max",
                value: "MAX",
                
                disabled: false,
            },
            {
                id: "MIN",
                label: "MIN",
                text: "MIN",
                "class":"",
                "data":"",
                "codename":"Min",
                value: "MIN",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "YesNo",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "是",
                text: "是",
                "class":"",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "0",
                label: "否",
                text: "否",
                "class":"",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
        ]
    },
    {
        "srfkey": "CLMetric",
        "emptytext": "未定义",
        "codelisttype":"dynamic",
        "appdataentity":"DAMetric",
        "appdedataset":"FetchDefault",
        "items": []
    },
    {
        srfkey: "CLRuleGroup",
        emptytext: "",
        "codelisttype":"static",
        items: [
            {
                id: "TIME",
                label: "时效预警（权利保障）",
                text: "时效预警（权利保障）",
                "class":"",
                "data":"",
                "codename":"Time",
                value: "TIME",
                
                disabled: false,
            },
            {
                id: "FLOW",
                label: "流程监控",
                text: "流程监控",
                "class":"",
                "data":"",
                "codename":"Flow",
                value: "FLOW",
                
                disabled: false,
            },
            {
                id: "REP",
                label: "汇总分析",
                text: "汇总分析",
                "class":"",
                "data":"",
                "codename":"Rep",
                value: "REP",
                
                disabled: false,
            },
            {
                id: "CHECK",
                label: "评查",
                text: "评查",
                "class":"",
                "data":"",
                "codename":"Check",
                value: "CHECK",
                
                disabled: false,
            },
            {
                id: "AI",
                label: "辅助审查",
                text: "辅助审查",
                "class":"",
                "data":"",
                "codename":"Ai",
                value: "AI",
                
                disabled: false,
            },
            {
                id: "TEST",
                label: "测试",
                text: "测试",
                "class":"",
                "data":"",
                "codename":"Test",
                value: "TEST",
                
                disabled: false,
            },
            {
                id: "GJ_HFDF",
                label: "高检-回复答复",
                text: "高检-回复答复",
                "class":"",
                "data":"",
                "codename":"Gj_hfdf",
                "color": "rgba(0, 98, 255, 1)",
                value: "GJ_HFDF",
                
                disabled: false,
            },
            {
                id: "GJ_WSXF",
                label: "高检-网上信访",
                text: "高检-网上信访",
                "class":"",
                "data":"",
                "codename":"Gj_wsxf",
                "color": "rgba(0, 98, 255, 1)",
                value: "GJ_WSXF",
                
                disabled: false,
            },
            {
                id: "AGPC",
                label: "案管-评查",
                text: "案管-评查",
                "class":"",
                "data":"",
                "codename":"Agpc",
                value: "AGPC",
                
                disabled: false,
            },
            {
                id: "AGQL",
                label: "案管-权利",
                text: "案管-权利",
                "class":"",
                "data":"",
                "codename":"Agql",
                value: "AGQL",
                
                disabled: false,
            },
            {
                id: "AGLC",
                label: "案管-流程",
                text: "案管-流程",
                "class":"",
                "data":"",
                "codename":"Aglc",
                value: "AGLC",
                
                disabled: false,
            },
            {
                id: "AGPC2",
                label: "案管-评查2.0",
                text: "案管-评查2.0",
                "class":"",
                "data":"",
                "codename":"Agpc2",
                value: "AGPC2",
                
                disabled: false,
            },
            {
                id: "AGQL2",
                label: "案管-权利2.0",
                text: "案管-权利2.0",
                "class":"",
                "data":"",
                "codename":"Agql2",
                value: "AGQL2",
                
                disabled: false,
            },
            {
                id: "AGLC2",
                label: "案管-流程2.0",
                text: "案管-流程2.0",
                "class":"",
                "data":"",
                "codename":"Aglc2",
                value: "AGLC2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "AppType",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "INNER",
                label: "内置应用",
                text: "内置应用",
                "class":"",
                "data":"",
                "codename":"Inner",
                value: "INNER",
                
                disabled: false,
            },
            {
                id: "THIRD-PARTY",
                label: "第三方应用",
                text: "第三方应用",
                "class":"",
                "data":"",
                "codename":"Third_SUB_party",
                value: "THIRD-PARTY",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "CLExtOP",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "YOY",
                label: "同比",
                text: "同比",
                "class":"",
                "data":"",
                "codename":"Yoy",
                value: "YOY",
                
                disabled: false,
            },
            {
                id: "MOM",
                label: "环比",
                text: "环比",
                "class":"",
                "data":"",
                "codename":"Mom",
                value: "MOM",
                
                disabled: false,
            },
            {
                id: "Y3",
                label: "3年定基比",
                text: "3年定基比",
                "class":"",
                "data":"",
                "codename":"Y3",
                value: "Y3",
                
                disabled: false,
            },
            {
                id: "PER",
                label: "占比",
                text: "占比",
                "class":"",
                "data":"",
                "codename":"Per",
                value: "PER",
                
                disabled: false,
            },
            {
                id: "PER_ORI",
                label: "占比（原始值）",
                text: "占比（原始值）",
                "class":"",
                "data":"",
                "codename":"Per_ori",
                value: "PER_ORI",
                
                disabled: false,
            },
        ]
    }
    ]];
});

